#!/bin/bash

source devel.bash

for d in packages ; do
    echo "Running $d/CASCADE-MAKE.sh"

    (cd $d ; ./CASCADE-MAKE.sh $*)

    if [ $? != 0 ] ; then
	echo "Error encountered running $d/CASCADE-MAKE.sh"
	exit 1
    fi
done

if [ ! -d $GEXTIMAGEMAGICK_INSTALLED/script ] ; then
  echo "Creating 'script' folder in installed area"
  mkdir $GEXTIMAGEMAGICK_INSTALLED/script
fi

/bin/cp bin/script/*.sh $GEXTIMAGEMAGICK_INSTALLED/script/.


if [ $makedist = "1"  ] ; then
  default_toplevel_make_dist $GSDLOS
fi